Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/vgo: Can't require gopkg.in dependencies in latest version #25129

Closed
cmars opened this issue Apr 27, 2018 · 1 comment

Comments

@cmars
Copy link
Contributor

commented Apr 27, 2018

What version of Go are you using (go version)?

Go 1.10, 1.10.1

Does this issue reproduce with the latest release?

Yes

What operating system and processor architecture are you using (go env)?

GOARCH="amd64"
GOBIN=""
GOCACHE="/home/x/.cache/go-build"
GOEXE=""
GOHOSTARCH="amd64"
GOHOSTOS="linux"
GOOS="linux"
GOPATH="/path/to/myproj"
GORACE=""
GOROOT="/home/x/.gobrew/versions/1.10"
GOTMPDIR=""
GOTOOLDIR="/home/x/.gobrew/versions/1.10/pkg/tool/linux_amd64"
GCCGO="gccgo"
CC="gcc"
CXX="g++"
CGO_ENABLED="1"
CGO_CFLAGS="-g -O2"
CGO_CPPFLAGS=""
CGO_CXXFLAGS="-g -O2"
CGO_FFLAGS="-g -O2"
CGO_LDFLAGS="-g -O2"
PKG_CONFIG="pkg-config"
GOGCCFLAGS="-fPIC -m64 -pthread -fmessage-length=0 -fdebug-prefix-map=/tmp/go-build151792712=/tmp/go-build -gno-record-gcc-switches"

What did you do?

I have a project with a go.mod file containing gopkg.in dependencies:

        "gopkg.in/tomb.v2" v0.0.0-20161208151619-d5d1b5820637
        "gopkg.in/yaml.v2" v1.2.1-gopkgin-v2.2.1

What did you expect to see?

This project was building with golang/vgo at fd2c2135.

What did you see instead?

With golang/vgo at 26880dcd I get an error when trying to build this project with vgo:

vgo: errors parsing go.mod:
/path/to/myproj/go.mod:17: invalid module: gopkg.in/tomb.v2 should be v1, not v2 (v2.0.0-20161208151619-d5d1b5820637)
/path/to/myproj/go.mod:18: invalid module: gopkg.in/yaml.v2 should be v1, not v2 (v2.2.1)

@gopherbot gopherbot added this to the vgo milestone Apr 27, 2018

@cmars

This comment has been minimized.

Copy link
Contributor Author

commented Apr 27, 2018

Nevermind, I pulled latest master and it now seems to work. Sorry for the noise.

@cmars cmars closed this Apr 27, 2018

@golang golang locked and limited conversation to collaborators Apr 27, 2019

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
2 participants
You can’t perform that action at this time.